Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SignInPolicy.Update(ctx, operations.C1APISignInPolicyV1SignInPolicyServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SignInPolicyServiceUpdateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/sign-in-policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signInPolicy": {
"allowedMfaTypes": [],
"allowedPrimaryTypes": [],
"defaultOutcome": {
"allow": {},
"challengeRequired": {
"types": []
},
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": {
"credentialTypes": []
},
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
},
"displayName": "<string>",
"priority": 123,
"rules": [
{
"description": "<string>",
"id": "<string>",
"matchCel": "<string>",
"outcome": {
"allow": {},
"challengeRequired": {
"types": []
},
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": {
"credentialTypes": []
},
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
}
}
]
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/sign-in-policies/{id}"
payload = {
"signInPolicy": {
"allowedMfaTypes": [],
"allowedPrimaryTypes": [],
"defaultOutcome": {
"allow": {},
"challengeRequired": { "types": [] },
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": { "credentialTypes": [] },
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
},
"displayName": "<string>",
"priority": 123,
"rules": [
{
"description": "<string>",
"id": "<string>",
"matchCel": "<string>",
"outcome": {
"allow": {},
"challengeRequired": { "types": [] },
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": { "credentialTypes": [] },
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
}
}
]
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signInPolicy: {
allowedMfaTypes: [],
allowedPrimaryTypes: [],
defaultOutcome: {
allow: {},
challengeRequired: {types: []},
deny: {reasonAdmin: '<string>', reasonUser: '<string>'},
enrollmentRequired: {credentialTypes: []},
stepUpRequired: {maxAgeSeconds: 123, types: []}
},
displayName: '<string>',
priority: 123,
rules: [
{
description: '<string>',
id: '<string>',
matchCel: '<string>',
outcome: {
allow: {},
challengeRequired: {types: []},
deny: {reasonAdmin: '<string>', reasonUser: '<string>'},
enrollmentRequired: {credentialTypes: []},
stepUpRequired: {maxAgeSeconds: 123, types: []}
}
}
]
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/sign-in-policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signInPolicy": {
"allowedMfaTypes": [],
"allowedPrimaryTypes": [],
"createdAt": "2023-11-07T05:31:56Z",
"defaultOutcome": {
"allow": {},
"challengeRequired": {
"types": []
},
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": {
"credentialTypes": []
},
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
},
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"isBuiltin": true,
"priority": 123,
"rules": [
{
"description": "<string>",
"id": "<string>",
"matchCel": "<string>",
"outcome": {
"allow": {},
"challengeRequired": {
"types": []
},
"deny": {
"reasonAdmin": "<string>",
"reasonUser": "<string>"
},
"enrollmentRequired": {
"credentialTypes": []
},
"stepUpRequired": {
"maxAgeSeconds": 123,
"types": []
}
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}Sign-In Policy
Update
Update a sign-in policy. Supply the policy object and an update mask listing the fields to change; omitted fields are left as-is.
POST
/
api
/
v1
/
sign-in-policies
/
{id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SignInPolicy.Update(ctx, operations.C1APISignInPolicyV1SignInPolicyServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SignInPolicyServiceUpdateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Unique identifier for the policy.
Body
application/json
Response
200 - application/json
Successful response
The SignInPolicyServiceUpdateResponse message.
SignInPolicy defines how users sign in.
Show child attributes
Show child attributes
Was this page helpful?
⌘I